typedef struct
{
	float u;
	float v;
} UV;

typedef struct
{
	float UVa;
	float UVb;
	float UVc;
	float UVd;
} PolUV;

typedef struct
{
	float x;
	float y;
	float z;
} Vecteur;

typedef struct Objet
{
    Vecteur pos; // Translate aprs a mise  l'chelle
    Vecteur* points;
    int (*polys)[4];
    UV (*uvs)[4];
    Vecteur (*normales)[4];

    int nbpts;
    int nbpolys;

    struct Objet* suivant;
    struct Objet* precedent;
    struct Objet* enfant;
    struct Objet* parent;

    Vecteur rotation;
    float angle;
    float rotcos;

    Vecteur rotation2;
    float angle2;
    float rotcos2;

    Vecteur vit;
    Vecteur ech; // Mise  l'chelle
    Vecteur posAbs; // Translate avant la mise  l'chelle

    Vecteur rotation3; // Rotation pour direction
    float angle3;
    Vecteur vitRot; // Vitesse de rotation (vecteur)
    float vitRotAngle; // Vitesse de rotation (angle)

} Objet;

//Vecteur guepePos = {0.0, 0.0, 0.0};
//Vecteur guepeVit = {0.0, 0.0, 0.0};

